- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

# concatenate.hh File Reference

This file provides the general concatenation algorithm. More...

Include dependency graph for concatenate.hh:

This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Namespaces
namespace | vcsn
## Functions
template<class A, class T>
Element< A, T > | concatenate (const Element< A, T > &lhs, const Element< A, T > &rhs)
| Return the concatenation of two automata.
template<class A, class T>
void | concatenate_here (Element< A, T > &lhs, const Element< A, T > &rhs)
| In place concatenation of two automata.

## Detailed Description

This file provides the general concatenation algorithm.

Author:
  Yann Régis-Gianas <yann@lrde.epita.fr>

Date:
  Tue Jun 24 17:42:32 2003

See also:
  concatenate(), concatenate_here()

Definition in file concatenate.hh.